#
# spec file for package rubygem-bcrypt-ruby
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-bcrypt-ruby
Version:        3.1.5
Release:        7.1
%define mod_name bcrypt-ruby
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/codahale/bcrypt-ruby
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        OpenBSD's bcrypt() password hashing algorithm
License:        MIT
Group:          Development/Languages/Ruby

%description
bcrypt() is a sophisticated and secure hash algorithm designed by The
OpenBSD project
for hashing passwords. The bcrypt Ruby gem provides a simple wrapper for
safely handling
passwords.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG COPYING README.md" \
  -f

%gem_packages

%changelog
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sat Feb 22 2014 coolo@suse.com
- updated to version 3.1.5
  - Add support for Ruby 2.1 in compiled Windows binaries
  - Rename gem from "bcrypt-ruby" to just "bcrypt". [GH #86 by @sferik]
* Sat Feb 15 2014 kkaempf@suse.com
- add ruby-devel buildrequires
* Mon Jan 20 2014 coolo@suse.com
- use new macros
* Fri Aug 30 2013 coolo@suse.com
- updated to version 3.1.2
  - Add support for Ruby 1.8 and 2.0 (in addition to 1.9) in compiled Windows binaries
  - Add support for 64-bit Windows
* Tue Jul 30 2013 coolo@suse.com
- updated to version 3.1.1
  - Add BCrypt::Password.valid_hash?(str) to check if a string is a valid bcrypt password hash
  - BCrypt::Password cost should be set to DEFAULT_COST if nil
  - Add BCrypt::Engine.cost attribute for getting/setting a default cost externally
  - Remove support for Ruby 1.8 in compiled win32 binaries
* Wed Aug  1 2012 coolo@suse.com
- updated to version 3.0.1
* Tue Jul 31 2012 jreidinger@suse.com
- use new gem2rpm to provide new provisions
* Wed Jan 18 2012 mrueckert@suse.de
- also add single digit provides
* Wed Aug 31 2011 fcastelli@suse.com
- update to 3.0.0
* Mon Jul 25 2011 cmessel@novell.com
- update to MIT license
* Mon Jun 20 2011 mrueckert@suse.de
- fix license
- added rubygem-bcrypt-ruby-2_1 provides for rails 3.1
- split out doc and testsuite subpackages
* Tue Mar 29 2011 kkaempf@novell.com
- update to 2.1.4
* Wed Jun 16 2010 mrueckert@suse.de
- initial package
